|  | Home | Documentation | saml2__AuthzDecisionStatementType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__AuthzDecisionStatementType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":AuthzDecisionStatementType is a complexType with complexContent extension of XSD type "urn:oasis:names:tc:SAML:2.0:assertion":StatementAbstractType. More...

`#include <saml2.h>`

Collaboration diagram for saml2__AuthzDecisionStatementType:
[legend]

## Public Attributes
$int | __sizeAction
| INHERITED FROM saml2__StatementAbstractType: More...
struct saml2__ActionType * | saml2__Action
| Array struct saml2__ActionType* of size 1..unbounded. More...
struct saml2__EvidenceType * | saml2__Evidence
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Evidence. More...
char * | Resource
| Attribute "Resource" of XSD type xs:anyURI. More...
enum saml2__DecisionType | Decision
| Attribute "Decision" of XSD type "urn:oasis:names:tc:SAML:2.0:assertion":DecisionType. More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":AuthzDecisionStatementType is a complexType with complexContent extension of XSD type "urn:oasis:names:tc:SAML:2.0:assertion":StatementAbstractType.

struct saml2__AuthzDecisionStatementType operations:

- saml2__AuthzDecisionStatementType* soap_new_saml2__AuthzDecisionStatementType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml2__AuthzDecisionStatementType(struct soap*, saml2__AuthzDecisionStatementType*) default initialize members
- int soap_read_saml2__AuthzDecisionStatementType(struct soap*, saml2__AuthzDecisionStatementType*) deserialize from a source
- int soap_write_saml2__AuthzDecisionStatementType(struct soap*, saml2__AuthzDecisionStatementType*) serialize to a sink
- saml2__AuthzDecisionStatementType* soap_dup_saml2__AuthzDecisionStatementType(struct soap*, saml2__AuthzDecisionStatementType* dst, saml2__AuthzDecisionStatementType <em>src) returns deep copy of saml2__AuthzDecisionStatementType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml2__AuthzDecisionStatementType(saml2__AuthzDecisionStatementType) deep deletes saml2__AuthzDecisionStatementType data members, use only on dst after soap_dup_saml2__AuthzDecisionStatementType(NULL, saml2__AuthzDecisionStatementType *dst, saml2__AuthzDecisionStatementType *src) (use soapcpp2 -Ed)

## Member Data Documentation

$int saml2__AuthzDecisionStatementType::__sizeAction

INHERITED FROM saml2__StatementAbstractType:

Size of the dynamic array of struct saml2__ActionType* is 1..unbounded.

enum saml2__DecisionType saml2__AuthzDecisionStatementType::Decision

Attribute "Decision" of XSD type "urn:oasis:names:tc:SAML:2.0:assertion":DecisionType.

Required attribute.

char* saml2__AuthzDecisionStatementType::Resource

Attribute "Resource" of XSD type xs:anyURI.

Required attribute.

struct saml2__ActionType* saml2__AuthzDecisionStatementType::saml2__Action

Array struct saml2__ActionType* of size 1..unbounded.

struct saml2__EvidenceType* saml2__AuthzDecisionStatementType::saml2__Evidence

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":Evidence.

Optional element.

The documentation for this struct was generated from the following file:

- saml2.h